<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/VanillaFixes/Scripts/5_mission/dayzexpansion_vanillafixes/missionserver.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d55/a09376_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">missionserver.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d55/a09376.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * MissionServer.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d6/d3b/a05202.html">MissionServer</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{<span class="comment"></span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    //! Fix for https://feedback.bistudio.com/T163613</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d6/d3b/a05202.html#a3502c1fff1de96c7e56c36c1766383e2">   16</a></span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d3b/a05202.html#a3502c1fff1de96c7e56c36c1766383e2">UpdateLogoutPlayers</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_LogoutPlayers.Count(); )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            LogoutInfo info = m_LogoutPlayers.GetElement(i);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">if</span> (GetGame().GetTime() &gt;= info.param1)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                PlayerIdentity identity;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player = m_LogoutPlayers.GetKey(i);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                <span class="keywordflow">if</span> (player)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                    identity = player.GetIdentity();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <span class="comment">// disable reconnecting to old char</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="comment">// GetGame().RemoveFromReconnectCache(info.param2);</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <a class="code hl_function" href="../../d6/d3b/a05202.html#a56d9b250d1fddb41a9f96e9d6b08de5f">PlayerDisconnected</a>(player, identity, info.param2);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                <span class="comment"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">                //! Use RemoveElement because Remove(NULL) will not work for keys that are not literal NULL https://feedback.bistudio.com/T166724</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment"></span>                m_LogoutPlayers.RemoveElement(i);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                ++i;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>}</div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa05202_html"><div class="ttname"><a href="../../d6/d3b/a05202.html">MissionServer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/a09367_source.html#l00016">missionserver.c:17</a></div></div>
<div class="ttc" id="aa05202_html_a3502c1fff1de96c7e56c36c1766383e2"><div class="ttname"><a href="../../d6/d3b/a05202.html#a3502c1fff1de96c7e56c36c1766383e2">MissionServer::UpdateLogoutPlayers</a></div><div class="ttdeci">override void UpdateLogoutPlayers()</div><div class="ttdoc">Fix for https://feedback.bistudio.com/T163613.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d55/a09376_source.html#l00016">missionserver.c:16</a></div></div>
<div class="ttc" id="aa05202_html_a56d9b250d1fddb41a9f96e9d6b08de5f"><div class="ttname"><a href="../../d6/d3b/a05202.html#a56d9b250d1fddb41a9f96e9d6b08de5f">MissionServer::PlayerDisconnected</a></div><div class="ttdeci">override void PlayerDisconnected(PlayerBase player, PlayerIdentity identity, string uid)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/a09367_source.html#l00132">missionserver.c:132</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_db19961b84c370b8c4d582d8d3745f27.html">VanillaFixes</a></li><li class="navelem"><a class="el" href="../../dir_9da3b8c9c1bedfa1baa3e6146042f863.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_b8ddac1083db3b596fd7e0f48d8674da.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_e0166509c998d8a493e170261dac68d4.html">dayzexpansion_vanillafixes</a></li><li class="navelem"><a class="el" href="../../dc/d55/a09376.html">missionserver.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
